Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class StateManager

    java.lang.Object
      org.jboss.aspects.versioned.StateManager

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  CollectionStateManager, DistributedPOJOState

public abstract class StateManager
extends Object
implements Externalizable

Version:
  $Revision: 1.1.4.4 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected org.jboss.util.id.GUID` | `guid`
`protected EDU.oswego.cs.dl.util.concurrent.ReadWriteLock` | `lock`
`protected static org.jboss.logging.Logger` | `log`
`static String` | `STATE_MANAGER`
`protected long` | `timeout`

Constructor Summary
`StateManager()`
`StateManager(org.jboss.util.id.GUID guid, long timeout)`

Method Summary
`void` | `acquireReadLock()`
`void` | `acquireWriteLock()`
`org.jboss.util.id.GUID` | `getGUID()`
`EDU.oswego.cs.dl.util.concurrent.ReadWriteLock` | `getLock()`
`static StateManager` | `getStateManager(org.jboss.aop.InstanceAdvised obj)`
`void` | `readExternal(ObjectInput in)`
`void` | `releaseReadLock()`
`void` | `releaseWriteLock()`
`static void` | `setStateManager(org.jboss.aop.InstanceAdvised obj, StateManager manager)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_MANAGER

    public static final String STATE_MANAGER

See Also:
  Constant Field Values

### log

    protected static org.jboss.logging.Logger log

### guid

    protected org.jboss.util.id.GUID guid

### timeout

    protected long timeout

### lock

    protected transient EDU.oswego.cs.dl.util.concurrent.ReadWriteLock lock

Constructor Detail

### StateManager

    public StateManager()

### StateManager

    public StateManager(org.jboss.util.id.GUID guid,
                        long timeout)

Method Detail

### getStateManager

    public static StateManager getStateManager(org.jboss.aop.InstanceAdvised obj)

### setStateManager

    public static void setStateManager(org.jboss.aop.InstanceAdvised obj,
                                       StateManager manager)

### getLock

    public EDU.oswego.cs.dl.util.concurrent.ReadWriteLock getLock()

### getGUID

    public org.jboss.util.id.GUID getGUID()

### acquireWriteLock

    public void acquireWriteLock()

### acquireReadLock

    public void acquireReadLock()

### releaseReadLock

    public void releaseReadLock()

### releaseWriteLock

    public void releaseWriteLock()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.